var data = [
	{
		x:11,y:1,direct:'ver',
		question:'En esta estación las plantas florecen y los animales salen de sus refugios.',
		text:'primavera'
	},		
	{
		x:9,y:2,direct:'hor',
		question:'Un día tiene 24 ______.',
		text:'horas'
	},
	{
		x:7,y:4,direct:'ver',
		question:'La estación más fría. En esta, los días son más cortos que las noches. ',
		text:'invierno'
	},
	{
		x:4,y:5,direct:'hor',
		question:'En esta estación, los árboles pierden sus hojas.',
		text:'otono'
	},
	{
		x:6,y:7,direct:'hor',
		question:'La Tierra tarda un ____ en girar sobre su propio eje.',
		text:'dia'
	},
	{
		x:4,y:8,direct:'ver',
		question:'La estación más cálida. En esta, los días son más largos que las noches.',
		text:'verano'
	},
	{
		x:14,y:8,direct:'ver',
		question:'Movimiento de la Tierra alrededor de su propio eje.',
		text:'rotacion'
	},
	{
		x:2,y:9,direct:'ver',
		question:'Un año tiene 12 _______.',
		text:'meses'
	},
	{
		x:6,y:9,direct:'hor',
		question:'Movimiento de la Tierra alrededor del Sol. Gracias a este y a la inclinación del eje terrestre, se presentan las estaciones.',
		text:'traslacion'
	},
	{
		x:1,y:11,direct:'hor',
		question:'Momentos del año en los cuales las condiciones climáticas se mantienen constantes durante un tiempo.',
		text:'estaciones'
	},
	{
		x:13,y:15,direct:'hor',
		question:'La Tierra tarda un ____ en dar la vuelta alrededor del Sol.',
		text:'ano'
	},
];
	
$(function(){
	$('#debugmode').on({
		'click':function(ev){
			var debug = $(this).prop('checked');
			//console.log(debug);
			if(debug == true){
				$(".divover").css("display","block");
				$(".questions").css("pointer-events","none");
			}
			else{
				$(".divover").css("display","none");
				$(".questions").css("pointer-events","auto");
			}
			$('#crossword').crossWord({
				debug:debug,
				data:data,
				questions:'#questions',
				success:function(){
					//alert('success');
					$("#msg_correcto").fadeIn("slow");
					setTimeout('$("#msg_correcto").fadeOut("slow");', 3000);
					$("#audio")[0].play();		
				}
			});
		}
	}).trigger('click');
});

$(".bt_solucion").click(function(){
	$('#debugmode').trigger('click');
});

$(".bt_ayuda").click(function(){
	$("#msg_ayuda").toggle();
	//setTimeout('$("#msg_ayuda").hide("slow");', 6000);
});

$("#msg_ayuda").click(function(){
	$(this).fadeOut();
});

